| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::DemConfFile Class Reference

Class for reading DEM configuration files. More...

Inheritance diagram for EECFI::DemConfFile:

List of all members.

## Public Member Functions
| DemConfFile ()
| Empty constructor.
| DemConfFile (const string fileNam)
| Constructor with file name.
| ~DemConfFile ()
| Destructor.
void | read () throw (CfiError)
| Read the data block and store it in object.
## Public Attributes
long | model
string | dir
| Directory for the the DEM files.
double | resX
| Interval between points along X-axis.
double | resY
| Interval between points along Y-axis.
double | resUnit
long | XNumPoints
| Number of points along X-axis (columns).
long | YNumPoints
| Number of points along Y-axis (lines)).
double | xRange
| longitude of the x-axis for one file (grid).
double | yRange
| longitude of the y-axis for one file (grid).
long | dataSize
| Size in bytes of the data stored in the files.
long | dataType
| Data type (int, long, float, double).
double | northAlt [4]
| Altitude at the North pole cell.
double | southAlt [4]
| Altitude at the South pole cell.
double | offsetX
double | offsetY
long | metadataModel
| DEM model.
string | userDirectory
| User directory.
long | cacheType
| Cache type (DemCacheTypeEnum).
long | cacheMaxSize
| CacheMaxSize (measured in MB).
DemMiniTiles | miniTiles
| DEM mini tiles configuration.
long | geoidComputation
| Geoid computation flag (DemGeoidFlagEnum).
long | geoidNumHarmonics
| Number of harmonics to be used in geoid computations.

## Detailed Description

Class for reading DEM configuration files.

## Constructor & Destructor Documentation

EECFI::DemConfFile::DemConfFile | ( |  | ) |

Empty constructor.

References cacheMaxSize, cacheType, dataSize, dataType, dir, EECFI::DemMiniTiles::fileName, EECFI::EEFile::fileType, geoidComputation, geoidNumHarmonics, EECFI::DemMiniTiles::latSize, EECFI::DemMiniTiles::lonSize, metadataModel, miniTiles, model, northAlt, offsetX, offsetY, resUnit, resX, resY, southAlt, userDirectory, XNumPoints, xRange, YNumPoints, and yRange.

EECFI::DemConfFile::DemConfFile | ( | const string | fileNam | ) |

Constructor with file name.

References cacheMaxSize, cacheType, dataSize, dataType, dir, EECFI::DemMiniTiles::fileName, geoidComputation, geoidNumHarmonics, EECFI::DemMiniTiles::latSize, EECFI::DemMiniTiles::lonSize, metadataModel, miniTiles, model, northAlt, offsetX, offsetY, resUnit, resX, resY, southAlt, userDirectory, XNumPoints, xRange, YNumPoints, and yRange.

EECFI::DemConfFile::~DemConfFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader.

## Member Function Documentation

void EECFI::DemConfFile::read | ( |  | ) | throw (CfiError)

Read the data block and store it in object.

References cacheMaxSize, cacheType, dataSize, dataType, dir, EECFI::DemMiniTiles::fileName, EECFI::EEFile::fileName, geoidComputation, geoidNumHarmonics, EECFI::DemMiniTiles::latSize, EECFI::DemMiniTiles::lonSize, metadataModel, miniTiles, model, northAlt, offsetX, offsetY, resUnit, resX, resY, southAlt, EECFI::CfiClass::throwWarn, userDirectory, XNumPoints, xRange, YNumPoints, and yRange.

## Member Data Documentation

long EECFI::DemConfFile::cacheMaxSize

CacheMaxSize (measured in MB).

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::cacheType

Cache type (DemCacheTypeEnum).

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::dataSize

Size in bytes of the data stored in the files.

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::dataType

Data type (int, long, float, double).

Referenced by DemConfFile(), and read().

string EECFI::DemConfFile::dir

Directory for the the DEM files.

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::geoidComputation

Geoid computation flag (DemGeoidFlagEnum).

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::geoidNumHarmonics

Number of harmonics to be used in geoid computations.

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::metadataModel

DEM model.

Referenced by DemConfFile(), and read().

DemMiniTiles EECFI::DemConfFile::miniTiles

DEM mini tiles configuration.

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::model

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::northAlt[4]

Altitude at the North pole cell.

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::offsetX

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::offsetY

Offsets. For ANR - 187: The points will be given for the center of a cell instead of the corners. The offset is the difference betweeen the center of the cell an the side of the cell (in degrees).

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::resUnit

Conversion factor from x,y units to the res_X, res_Y units. i.e. if res_X is given in seconds and X in degrees => res_unit=3600

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::resX

Interval between points along X-axis.

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::resY

Interval between points along Y-axis.

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::southAlt[4]

Altitude at the South pole cell.

Referenced by DemConfFile(), and read().

string EECFI::DemConfFile::userDirectory

User directory.

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::XNumPoints

Number of points along X-axis (columns).

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::xRange

longitude of the x-axis for one file (grid).

Referenced by DemConfFile(), and read().

long EECFI::DemConfFile::YNumPoints

Number of points along Y-axis (lines)).

Referenced by DemConfFile(), and read().

double EECFI::DemConfFile::yRange

longitude of the y-axis for one file (grid).

Referenced by DemConfFile(), and read().